Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-18406

[Fix][Patch] Problematic require on moodlelib

    XMLWordPrintable

Details

    • Bug
    • Status: Closed
    • Critical
    • Resolution: Fixed
    • 1.9.3, 1.9.4
    • 1.9.5
    • Course
    • None
    • MOODLE_19_STABLE
    • MOODLE_19_STABLE

    Description

      while developing a block for Federal University of Santa Catarina that removes meta-courses, i found that lib/moodlelib.php calls locallib.php but without specify the full path. This way moodle was including the locallib of the block instead of the moodle's original locallib.
      The attachment is a patch to correct this.

      Attachments

        Activity

          People

            poltawski Dan Poltawski
            danielneis Daniel Neis Araujo
            Petr Skoda Petr Skoda
            Amaia Anabitarte, Carlos Escobedo, Ferran Recio, Ilya Tregubov, Sara Arjona (@sarjona)
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:
              13/May/09